Bug 1122596 - [RHEV][doc] RHEL hypervisor installation guide does not describe software channels
Summary: [RHEV][doc] RHEL hypervisor installation guide does not describe software cha...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Lucy Bopf
QA Contact: Tahlia Richardson
URL: https://access.redhat.com/documentati...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:53 UTC by Evgheni Dereveanchin
Modified: 2015-02-16 03:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22722, Installation Guide-3.4-1.0 Build Date: 15-07-2014 17:36:24 Topic ID: 8665-591843 [Specified]
Last Closed: 2015-02-16 03:28:36 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Evgheni Dereveanchin 2014-07-23 14:53:31 UTC
Title: Red Hat Enterprise Linux Hosts

Describe the issue:
the chapter does not mention that RHEV channels (specifically rhel-x86_64-rhev-mgmt-agent-6) must be attached to the host, otherwise it will fail to install

Suggestions for improvement:
add this to official documentation

Additional information:
users are confused when trying to add hosts and the install failing

Comment 1 Lucy Bopf 2014-08-26 06:49:23 UTC
Hi Evgheni,

I'm wondering if you can clarify a couple of things for me.

I see from the 'Environment' above that you were looking in the Installation Guide when you came across this chapter. 'Red Hat Enterprise Linux Hosts' is both a topic and a chapter in the Installation Guide, and a topic in the Administration Guide, so I just want to confirm that we are talking about the Install Guide.

In the Administration Guide, the topics that deal with Red Hat Enterprise Linux hosts focus on host tasks in the Administration Portal (adding a host, editing a host, maintenance etc). In those sections, we assume that the installation has already taken place, and that the host is already registered to the appropriate channels as per the 'Subscribing to Required Channels' sections of the Installation Guide: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.4/html-single/Installation_Guide/index.html#Subscribing_to_Required_Channels_using_Subscription_Manager1

If this process is something that users find confusing, I am very much in favour of improving these parts of the docs.

Could you give me a little more direction about how users are coming across this issue? It might be a case of reshuffling the existing topics, or adding additional information to one or both of the guides.


Thanks,

Lucy

Comment 2 Evgheni Dereveanchin 2014-09-11 11:49:56 UTC
Hello Lucy,

I went to this page:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.4/html/Installation_Guide/index.html

from it I followed to 
III. Installing Hosts -> 8. Red Hat Enterprise Linux Hosts -> 8.1. Red Hat Enterprise Linux Hosts


There it says "You can use a standard Red Hat Enterprise Linux 6" - which is obviously not true as additional channels must be attached to the "standard" installation.

Moreover, the above chapter 7 descrubes the full process of installing and activating a RHEV-H host, while chapter 8 gives almost no info and no hint there's a separate chapter 9 related to RHEL hosts.

I believe this uncertainity needs to be removed (unite chapters 8 and 9?)

Comment 3 Lucy Bopf 2014-09-15 07:07:52 UTC
Hi Evgheni,

I see what you mean. This section of the documentation is separated unnecessarily.

I have now made the following changes:

Moved the topics formerly under 'Configuring Hosts' so that they appear in Chapter 8, 'Red Hat Enteprise Linux Hosts', immediately after topic 7858, 'Host Compatibility Matrix'.
Updated topic 8665, 'Red Hat Enterprise Linux Hosts', to say "You can use a Red Hat Enterprise Linux 6.5 installation on capable hardware as a host. Red Hat Enterprise Virtualization supports hosts running Red Hat Enterprise Linux 6.5 Server AMD64/Intel 64 version with Intel VT or AMD-V extensions. To use your Red Hat Enterprise Linux machine as a host, you must also attach the Red Hat Enterprise Linux Server entitlement and the Red Hat Enterprise Virtualization entitlement."
Updated topic 10236, 'Installing Red Hat Enterprise Linux', to say "Only the Base package group is required to use the virtualization host in a Red Hat Enterprise Virtualization environment, though the host be registered and subscribed to a number of entitlements before it can be added to the Manager."
Updated topic 7621, 'Adding a Red Hat Enterprise Linux Host', to say "A Red Hat Enterprise Linux host is based on a standard "basic" installation of Red Hat Enterprise Linux, with specific entitlements enabled."

I believe that these changes will make the process of installing and configuring a host much clearer, and remove the suggestion that a base RHEL installation can serve as a host.


Please let me know if there are any other changes you feel would be helpful. I will provide a link when the Installation Guide is built with these changes.


Thanks,
Lucy

Comment 4 Evgheni Dereveanchin 2014-10-02 07:26:56 UTC
Thank you Lucinda, this should avoid the confusion with installing hypervisors on top of RHEL.

Comment 5 Lucy Bopf 2014-10-07 23:14:55 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Installation_Guide/index.html#chap-Red_Hat_Enterprise_Linux_Hosts

What Changed
------------------------------
Chapter 8. Red Hat Enterprise Linux Hosts now includes 10 topics (where before it had two), and covers the complete installation and configuration of a RHEL host.
The following topics were modified to remove the suggestion that a base RHEL installation can serve as a host:

Red Hat Enterprise Linux Hosts [8665-71037]

Installing Red Hat Enterprise Linux [10236-714401]

Adding a Red Hat Enterprise Linux Host [7621-710711]

Updated Revision History: [34615-715423]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.5-Beta-web-en-US-3.5-17.el6eng

Moving to ON_QA.

Comment 6 Tahlia Richardson 2014-10-08 03:47:26 UTC
Chapter 8 is now 10 topics long. Changes as listed in comment 3 all appear in the doc. One typo has been fixed in Pressgang by Lucy and will be corrected at the next build. No other errors found. 

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.